Subject: bug#16532: Test Fail: "tests/chown/separator"

From: Pádraig Brady <[email-masked]>
Date: Fri, 24 Jan 2014 12:19:42 +0000

On 01/24/2014 07:43 AM, Bernhard Voelker wrote:
> On 01/24/2014 04:09 AM, Pádraig Brady wrote:
>> On 01/24/2014 02:46 AM, Assaf Gordon wrote:
>>> $ getent group | grep ^users
>>> users:x:100:
>>> users:x:1000:www-data,XXX,YYY
>>> ===
>>
>> Oh right, grep ^$id_gn: it is so.
>>
>> Note we can't rely on getent(1) being available (as noted in bug 9987),
>> but the failure in that edge case is still a skip as the count will be 0 then.
> 
> I'm still not convinced that we should mask this misconfiguration
> by skipping the test.
> 
> AFAIK it's totally valid to have several names for a gid,
> but is it permitted the other way round?
> 
> I'd bet you run into other trouble on such a system, too.
> Therefore, I see the failing test more as a heads-up to
> fix the configuration.
> 
> Thanks & have a nice day,
> Berny
> 

Since it's an easy enough workaround it's worth adding IMHO.
As a general point there should never be any questions
about test failures. I've seen some test suites become
less than useful through attrition of little issues.
For me the tests take more time than the code and are more
awkward to write, but that's all fine and good as that's
were the real value is.

thanks,
Pádraig.